@import "vars"
@import "fonts"
@import "libs"
@import "_mixins/common"
@import "../libs/components-font-awesome/scss/fontawesome"
@import "../libs/components-font-awesome/scss/solid"
@import "../libs/components-font-awesome/scss/brands"

i
	font-size: 10rem
/* Eric Meyer's CSS Reset */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video
	margin: 0
	padding: 0
	border: 0
	font-size: 100%
	vertical-align: baseline




::placeholder
	color: #666

::selection
	background-color: $accent
	color: #fff


html
	font-size: 13px

html, body
	height: 100%




body
	min-width: 320px
	position: relative
	font-family: $default-font
	overflow-x: hidden
	color: $text
	counter-reset: section
	//padding-top: 6.7vw
	@include font-size(1rem)
	@include line-height(1)
	z-index: -100

	input, textarea
		border: #666 1px solid
		outline: none
		&:focus:required:invalid
			border-color: red
		&:required:valid
			border-color: green


h1

	@include line-height(1)
//
//
h2
	font-size: 2.7vw
	@include line-height(1)
//
//
h3
	@include font-size(2.1rem)
	@include line-height(1)
//
//
h4
	font-size: 1.4vw
	@include line-height(1)
//
p,li
	font-size: 1.1vw
//
a
	@include font-size(0.8rem)
	color: rgba(81, 81, 81, 255)
	&:hover
		color: rgba(81, 81, 81, 255)



input::-moz-placeholder, textarea::-moz-placeholder
  color: #ffffff
input::-webkit-input-placeholder,textarea::-webkit-input-placeholder
  color: #ffffff


.img-responsive
	display: block
	max-width: 100%
	height: auto
	&.img-width
		width: 100%

.text-center
	text-align: center

b, strong
	font-weight: bold

*
	position: relative

ul
	padding: 0
	margin: 0



li
	list-style: none




// //TEST STYLE

// // Custome styles // //
.main-wrapper
	width: 100%
	overflow-x: hidden
.header
  &::before
    content: ''
    @include  absolute-all
    background-color: #1a1a1a
    opacity: .85
.header
	background-image: url("../images/bg_images/city2_2.jpg")
	background-repeat: no-repeat
	background-size: cover
	background-position: center
	padding-top: 25vw
	padding-bottom: 5vw
	color: #fff

	&::after
		content: ''
		position: absolute
		top: -30vw
		bottom: 0
		left: -106vw
		right: 0
		width: 0
		height: 0
		border-bottom: 150vw solid $green
		border-left: 300vw solid transparent
		z-index: 10

	&__capt
		color: #ffffff
		text-transform: uppercase
		font-size: 4.1vw
		line-height: 1.2
		margin-bottom: 4vw
		margin-top: 0
		z-index: 100

	&__captSpan
		z-index: 100
		&:nth-child(1)
			color: #28b197
			font-size: 1.4vw
			line-height: 1.5
		&:nth-child(3)
			color: #eac616
	&__subCapt
		text-transform: uppercase
		margin-bottom: 2.1vw
		z-index: 100
	&-aboutList
		display: flex
		justify-content: space-between
		z-index: 100
		&__item
			width: 49%
			line-height: 1.2


		&__inner
			li
				border-top: 2px solid #ffffff
				padding: .7em 0
				display: flex
				flex-direction: column
				&:last-child
					border-bottom: 2px solid #ffffff

			span
				color: $yellow
	.wrapper_image
		width: 37vw
		position: absolute
		z-index: 11
		margin-left: -9.5vw
		img
			width: 100%
.active-li
	color: $yellow
	border-bottom: .1vw solid $yellow

.nav
	position: fixed
	top: 0
	left: 0
	right: 0
	width: 100%
	z-index: 1000
	box-shadow: inset 0px 57px 77px -44px rgba(0,0,0,0.90)
	padding: 1vw 0
	&-logo
		height: 100%
		display: flex
		align-items: center

		&__img
			width: 8vw

	&-list
		display: flex
		justify-content: space-between
		&__item
			border-bottom: .2vw solid transparent



		&__link
			color: #ffffff
			font-size: 1vw
			padding: .7vw 0 0.5vw
			display: flex
			cursor: pointer
			border-bottom: .2vw solid transparent
			text-transform: uppercase
			&:hover
				color: $yellow
				border-bottom: .1vw solid $yellow
				text-decoration: none
	&-btnBurger
		display: none
		&__label
			display: none


.education
	padding-top: 4vw
	padding-bottom: 15vw
	z-index: 11
	&::before
		content: ''
		position: absolute
		top: -27.5vw
		bottom: 0
		left: 0
		right: 0
		width: 0
		height: 0
		border-bottom: 150vw solid #ffffff
		border-right: 300vw solid transparent
		z-index: 12
	&__capt
		display: flex
		flex-direction: column
		text-transform: uppercase
		z-index: 100
	&__span
		color: $green
		font-size: 1.2vw
	&-figure
		z-index: 100
		width: 100%
		padding: 6.3vw 2vw 0
		display: flex
		flex-direction: column
		align-items: center
		&__wrapImg
			@include adaptive-wrapper-img(100%)
		&__img
			//width: 100%
			@include adaptive-horizont-img
		&__innerText
			@include absolute-all
			display: flex
			flex-direction: column
			justify-content: center
			align-items: center
			text-align: center
			line-height: 1.1
			span
				font-size: 1.5vw
			strong
				font-size: 2.9vw
		&__list
			margin-top: 5.5vw
			li
				display: flex
				margin-bottom: 1.55vw
				padding-left: 1.7vw


				&::before
					content: ''
					width: 1vw
					height: 1vw
					display: block
					position: absolute
					left: 0
					top: 50%
					transform: translateY(-50%)
				&:nth-child(1)
					&::before
						background-color: #3b374e
				&:nth-child(2)
					&::before
						background-color: #eac616
				&:nth-child(3)
					&::before
						background-color: #28b197
				&:nth-child(4)
					&::before
						background-color: #117c6a


	&-list
		z-index: 100
		margin-top: 5.6vw
		&__item
			display: flex
			flex-direction: column
			padding-left: 3.2vw
			border-left: .12vw solid $green
			padding-bottom: 2vw
			&:last-child
				border: none
			&:nth-child(6)
				&::before
					background-image: url("../images/graduate-cap.svg")
			&:nth-child(3)
				&::before
					background-image: url("../images/freelance.svg")
			&:nth-child(5)
				&::before
					background-image: url("../images/icon.svg")
			&:nth-child(4)
				&::before
					background-image: url("../images/it-academy.svg")
			&:nth-child(2)
				&::before
					background-image: url("../images/goodmedia.svg")
			&:nth-child(1)
				&::before
					background-image: url("../images/SmartAppTech.svg")

			&::before
				content: ''
				width: 2.7vw
				height: 2.7vw
				position: absolute
				top: 0
				left: 0
				border: .12vw solid $green
				border-radius: 50%
				transform: translate(-50%,-26%)
				background-size: 58%
				background-repeat: no-repeat
				background-position: center
				background-color: #ffffff
			strong
				margin-bottom: 2vw
			span
				line-height: 1.3


.approach
	padding-top: 8.8vw
	&::before
		content: ''
		position: absolute
		top: -17.5vw
		bottom: 0
		left: 0
		right: 0
		width: 0
		height: 0
		border-bottom: 150vw solid #f1f1f1
		border-right: 300vw solid transparent
		z-index: 12
	&__capt
		color: $green
		text-transform: uppercase
		font-size: 4vw
		line-height: 1.3
		z-index: 100

		span
			&:first-child
				color: #000
				font-size: 1.2vw

			&:nth-child(3)
				color: $yellow
	&__text
		margin-top: 2.7vw
		line-height: 1.4
		z-index: 100

	&-list
		z-index: 100
		padding-left: 20%
		margin-top: 13vw
		&__item
			width: 50%
		&__innerItem
			display: flex
			align-items: center
			border-left: .1vw solid $green
			padding: 2vw 0
			text-transform: uppercase
			&:first-child
				padding-top: 0
			&:last-child
				padding-bottom: 0




			img
				width: 1.5vw
			i
				color: $green
				font-size: 1.5vw
			span
				&:first-child
					width: 2.7vw
					height: 2.7vw
					border-radius: 50%
					display: flex
					align-items: center
					justify-content: center
					border: .1vw solid $green
					background-color: #ffffff
					transform: translateX(-50%)


.projects
	padding-top: 10vw
	padding-bottom: 0
	&::before
		content: ''
		position: absolute
		top: -30.2vw
		bottom: 0
		left: 0
		right: 0
		width: 0
		height: 0
		border-bottom: 150vw solid #ffffff
		border-right: 300vw solid transparent
		z-index: 12
	&::after
		content: ''
		position: absolute
		top: 34vw
		bottom: 0
		left: -50vw
		right: 0
		width: 0
		height: 0
		border-top: 150vw solid #ffffff
		border-left: 300vw solid transparent
		z-index: 14
	&__capt
		text-transform: uppercase
		z-index: 100
		span
			color: $green
			font-size: 1.2vw
	&__subCapt
		text-transform: uppercase
		color: $yellow
		text-align: center
		margin-top: 15vw
		font-size: 4vw
		line-height: 1.5
		z-index: 100
		span
			color: $green
			font-size: 1.3vw
			z-index: 100
	&__link
		z-index: 100
		text-align: center
		display: block
		color: $yellow
		border: .2vw solid $yellow
		width: 10vw
		font-size: 1.3vw
		text-transform: uppercase
		font-weight: 400
		padding: .6vw 0
		border-radius: 1.5vw
		margin: 2.5vw auto 0
		cursor: pointer
		&:hover
			box-shadow: 0px 0px 7px 0px rgba(252,252,252,1)
			text-decoration: none
			color: $yellow


.projects-list
	z-index: 100
	width: 100%
	display: flex
	flex-direction: column
	margin-top: 7vw
	&__item
		width: 100%
		margin-bottom: 30px
		cursor: pointer
		background-color: transparent



	&__img
		width: 100%
		transition: transform .2s ease-in-out
		&:hover
			transform: translate(-1%, -1% )




.comments
	padding-top: 16.4vw
	//z-index: 100
	&::before
		content: ''
		position: absolute
		top: -63vw
		height: 155vw
		left: 0
		right: 0
		background-image: url("../images/mount.jpg")
		background-position: center
		background-size: cover
		background-repeat: no-repeat
		z-index: 13
	&::after
		content: ''
		position: absolute
		top: -10vw
		bottom: 0
		left: 0
		right: 0
		width: 0
		height: 0
		border-bottom: 52vw solid transparent
		border-left: 104vw solid $green
		border-top: 52vw solid transparent
		opacity: .8
		z-index: 13
	&__capt
		color: #ffffff
		text-transform: uppercase
		z-index: 100

		span
			color: $yellow
			font-size: 1.3vw

	&-owl-1
		z-index: 100
		margin-top: 3.6vw
		text-align: center
	&-owl
		&__wrap-img

			width: 7vw
			height: 7vw
			border-radius: 50%
			overflow: hidden
			margin: 0 auto
			border: .1vw solid $green
			display: flex
			align-items: center
			justify-content: center
			background-color: #fff
		&__img
			width: 100%


.owl
	&-figure

		&-item
			&__figcaption
				margin-top: 1.5vw
				padding: 0 2vw
			&__capt
				font-size: 1vw
				line-height: 1.5
				color: $yellow
				span
					font-weight: 400
					color: #ffffff
			&__text
				margin-top: .5vw
				line-height: 1.8
				padding-left: 1.5vw
				padding-right: 1.5vw
				color: #ffffff

				span
					color: $yellow
					margin-top: .2vw
					font-size: 3vw


.owl-nav
	@include absolute-all
	display: flex
	align-items: center
	justify-content: space-between
	opacity: .7
	color: gray
	&__prev
		&::before
			font-family: "Font Awesome 5 Free"
			font-weight: 400
			content: "\f053"
			background-color: #ffffff
			font-size: 1.8vw
			width: 2vw
			height: 2vw
			display: flex
			align-items: center
			justify-content: center
	&__next
		&::before
			font-family: "Font Awesome 5 Free"
			font-weight: 400
			content: "\f054"
			background-color: #ffffff
			font-size: 1.8vw
			width: 2vw
			height: 2vw
			display: flex
			align-items: center
			justify-content: center

.hobby
	padding-top: 5vw
	//padding-bottom: 5vw
	&::before
		content: ''
		position: absolute
		bottom: -52vw
		left: -38vw
		right: 0
		width: 0
		height: 0
		border-top: 70vw solid transparent
		border-right: 140vw solid #ffffff
		border-bottom: 70vw solid transparent
		z-index: 15
	&__capt
		z-index: 100
		color: #000
		text-transform: uppercase
		margin-top: 20vw

		span
			&:first-child
				color: $green
				font-size: 1.2vw
	&-figure
		margin-top: 4.6vw
		z-index: 100
		&__wrappImg
			@include adaptive-wrapper-img(74.6%)
			&:before
				content: ''
				@include  absolute-all
				background-color: $green
				opacity: .3
				z-index: 10
		&__img
			@include adaptive-album-img
		&__figcaption
			margin-top: 2vw
		&__capt
			display: flex
			flex-direction: column
			line-height: 1.4
			font-size: 1.4vw
			span
				text-transform: uppercase

				&:first-child
					//font-weight: 200
					color: $green
		&__text
			margin-top: 1vw
			line-height: 1.5
			padding-right: 1vw

.footer__capt
	z-index: 16
.footer
	padding-top: 30vw
	padding-bottom: 5vw
	background-image: url("../images/bg_images/bg-footer.png")
	background-size: cover
	background-repeat: no-repeat
	background-position: bottom


	&__capt
		margin-top: 5vw
		margin-bottom: 4vw
		z-index: 100
	color: #ffffff
	text-transform: uppercase
	font-size: 4vw
	line-height: 1.3
	span
		&:first-child
			color: $green
			font-size: 1.2vw

		&:nth-child(3)
			color: $yellow
	&-form
		z-index: 100
		width: 100%
		padding: 0
		margin: 0
		display: flex
		flex-direction: column
		color: #ffffff

		input,textarea
			width: 100%
			font-size: 1.1vw
			background-color: transparent
			border-radius: 0.6vw
			border: .15vw solid #ffffff
			padding: .6vw 1vw
			margin-bottom: 1vw
			resize: none !important
			text-transform: uppercase
			color: #ffffff

		&__btn
			border: .2vw solid $green !important
			border-radius: 1.5vw !important
			text-transform: uppercase !important
			color: $green !important
			cursor: pointer
			&:hover
				box-shadow: 0px 0px 7px 0px rgba(252,252,252,1)


	&__contactsCapt
		z-index: 100
		margin-bottom: 2vw
	&__contactsText
		font-weight: 200
		z-index: 100
		margin-bottom: 2vw
		line-height: 1.3

	&-contactsList
		z-index: 100
		&__item
			margin-top: 1vw
			margin-bottom: 1vw
			padding-right: 1vw
			i
				color: $yellow
				margin-right: 1vw
			span
				line-height: 1.5


.socialList
	z-index: 20
	width: 15vw
	min-width: 270px
	margin: 3vw auto 0
	&__link
		font-size: 3vw
		color: #ffffff
		&:hover
			color: #eac616

@import "media" // Always at the end

